> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Project Access Options



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/members/project-access-options
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/members/project-access-options:
    post:
      tags:
        - Member Batch
      summary: Project Access Options
      operationId: MemberBatchController_projectAccessOptions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberProjectAccessOptionsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberProjectAccessOptionsResponseDto'
components:
  schemas:
    MemberProjectAccessOptionsDto:
      type: object
      properties:
        userIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            pattern: ^[1-9]\d{0,18}$
        limit:
          default: 20
          type: integer
          minimum: 1
          maximum: 100
        cursor:
          type: string
      required:
        - userIds
      additionalProperties: false
    MemberProjectAccessOptionsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/MemberProjectAccessOptionDto'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    MemberProjectAccessOptionDto:
      type: object
      properties:
        projectId:
          type: string
        userId:
          type: string
      required:
        - projectId
        - userId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.